#!/usr/bin/env python
syslist = ['J000344-232354_0z45210_UVES_squader',
           'J000344-232354_0z94910_UVES_squader',
           'J000344-232354_1z58640_UVES_squader',
           'J000448-415728_1z98860_UVES_squader',
           'J000448-415728_2z16790_UVES_squader',
           'J001210-012207_1z20300_UVES_squader',
           'J001602-001225_0z63510_UVES_squader',
           'J001602-001225_0z63630_UVES_squader',
           'J001602-001225_0z85750_UVES_squader',
           'J001602-001225_1z14680_UVES_squader',
           'J001602-001225_2z02920_UVES_squader',
           'J004131-493611_2z10950_UVES_squader',
           'J004131-493611_2z24850_UVES_squader',
           'J005758-264314_1z26790_UVES_squader',
           'J005758-264314_1z53360_UVES_squader',
           'J010311+131617_1z79750_UVES_squader',
           'J010311+131617_2z30920_UVES_squader',
           'J010821+062327_1z93280_UVES_squader',
           'J011143-350300_1z18270_UVES_squader',
           'J011143-350300_1z34990_UVES_squader',
           'J012417-374423_0z82210_UVES_squader',
           'J012417-374423_0z85930_UVES_squader',
           'J012417-374423_1z24330_UVES_squader',
           'J012417-374423_1z91020_UVES_squader',
           'J013105-213446_1z85660_UVES_squader',
           'J014333-391700_0z34000_UVES_squader',
           'J014333-391700_1z71010_UVES_squader',
           'J015733-004824_0z76930_UVES_squader',
           'J024008-230915_1z18460_UVES_squader',
           'J024008-230915_1z63590_UVES_squader',
           'J024008-230915_1z63730_UVES_squader',
           'J024008-230915_1z65740_UVES_squader',
           'J033106-382404_0z76270_UVES_squader',
           'J033106-382404_0z97090_UVES_squader',
           'J033106-382404_1z43800_UVES_squader',
           'J033108-252443_0z99250_UVES_squader',
           'J033108-252443_2z45470_UVES_squader',
           'J033244-445557_2z41120_UVES_squader',
           'J033244-445557_2z65630_UVES_squader',
           'J040718-441014_2z41260_UVES_squader',
           'J040718-441014_2z54990_UVES_squader',
           'J040718-441014_2z59480_UVES_squader',
           'J040718-441014_2z62140_UVES_squader',
           'J042707-130253_1z40800_UVES_squader',
           'J042707-130253_1z56320_UVES_squader',
           'J042707-130253_2z03510_UVES_squader',
           'J043037-485523_1z35560_UVES_squader',
           'J044017-433308_1z43350_UVES_squader',
           'J044017-433308_2z04820_UVES_squader',
           'J051707-441055_0z22230_UVES_squader',
           'J051707-441055_0z42910_UVES_squader',
           'J053007-250329_2z14120_UVES_squader',
           'J055246-363727_1z22520_UVES_squader',
           'J055246-363727_1z74750_UVES_squader',
           'J055246-363727_1z95650_UVES_squader',
           'J064326-504112_2z65920_UVES_squader',
           'J091613+070224_1z33240_UVES_squader',
           'J094253-110426_1z05950_UVES_squader',
           'J094253-110426_1z78910_UVES_squader',
           'J103909-231326_1z44290_UVES_squader',
           'J103909-231326_2z77780_UVES_squader',
           'J103921-271916_0z87710_UVES_squader',
           'J103921-271916_1z00930_UVES_squader',
           'J103921-271916_1z97210_UVES_squader',
           'J104032-272749_1z38610_UVES_squader',
           'J104032-272749_1z77610_UVES_squader',
           'J110325-264515_1z18680_UVES_squader',
           'J110325-264515_1z20290_UVES_squader',
           'J110325-264515_1z55150_UVES_squader',
           'J110325-264515_1z83890_UVES_squader',
#           'J111113-080402_3z60770_UVES_squader',
           'J112010-134625_1z62830_UVES_squader',
           'J112442-170517_0z80620_UVES_squader',
           'J112442-170517_1z23420_UVES_squader',
           'J115411+063426_1z77390_UVES_squader',
           'J115411+063426_1z81970_UVES_squader',
           'J115411+063426_2z36600_UVES_squader',
           'J115944+011206_0z79080_UVES_squader',
           'J115944+011206_1z33050_UVES_squader',
           'J115944+011206_1z94380_UVES_squader',
           'J120342+102831_1z32240_UVES_squader',
           'J120342+102831_1z34220_UVES_squader',
           'J120342+102831_1z57890_UVES_squader',
           'J121140+103002_1z04960_UVES_squader',
           'J123200-022404_0z75690_UVES_squader',
           'J123200-022404_0z83080_UVES_squader',
           'J123437+075843_1z02010_UVES_squader',
           'J123437+075843_1z71940_UVES_squader',
           'J133335+164903_0z74460_UVES_squader',
           'J133335+164903_1z32530_UVES_squader',
           'J133335+164903_1z77650_UVES_squader',
           'J133335+164903_1z78630_UVES_squader',
           'J134427-103541_1z91550_UVES_squader',
           'J134427-103541_2z14740_UVES_squader',
           'J135038-251216_1z43930_UVES_squader',
           'J135038-251216_1z75290_UVES_squader',
           'J141217+091624_1z41870_UVES_squader',
           'J141217+091624_2z01880_UVES_squader',
           'J141217+091624_2z45640_UVES_squader',
           'J141217+091624_2z66820_UVES_squader',
           'J143040+014939_0z48780_UVES_squader',
           'J143040+014939_1z20300_UVES_squader',
           'J143040+014939_1z24110_UVES_squader',
           'J144653+011356_0z50970_UVES_squader',
           'J144653+011356_0z66020_UVES_squader',
           'J144653+011356_1z10200_UVES_squader',
           'J144653+011356_1z12920_UVES_squader',
           'J144653+011356_1z15950_UVES_squader',
           'J145102-232930_1z58550_UVES_squader',
           'J200324-325145_2z03290_UVES_squader',
           'J200324-325145_3z18780_UVES_squader',
           'J200324-325145_3z19170_UVES_squader',
           'J212912-153841_1z73800_UVES_squader',
           'J212912-153841_2z02250_UVES_squader',
           'J212912-153841_2z63780_UVES_squader',
           'J212912-153841_2z76860_UVES_squader',
           'J213314-464030_1z61480_UVES_squader',
           'J214159-441325_2z13290_UVES_squader',
           'J214159-441325_2z38280_UVES_squader',
           'J214159-441325_2z85230_UVES_squader',
           'J214225-442018_0z98650_UVES_squader',
           'J214225-442018_1z05290_UVES_squader',
           'J214225-442018_1z15430_UVES_squader',
           'J214225-442018_1z75690_UVES_squader',
           'J214225-442018_2z11260_UVES_squader',
           'J214225-442018_2z25330_UVES_squader',
           'J214225-442018_2z37980_UVES_squader',
           'J220734-403655_1z62700_UVES_squader',
           'J220852-194400_0z94780_UVES_squader',
           'J220852-194400_0z94830_UVES_squader',
           'J220852-194400_1z01720_UVES_squader',
           'J220852-194400_1z01820_UVES_squader',
           'J220852-194400_1z29700_UVES_squader',
           'J220852-194400_1z92060_UVES_squader',
           'J220852-194400_2z07620_UVES_squader',
           'J222006-280323_0z78660_UVES_squader',
           'J222006-280323_0z94080_UVES_squader',
           'J222006-280323_0z94240_UVES_squader',
           'J222006-280323_1z55540_UVES_squader',
           'J222006-280323_1z62790_UVES_squader',
           'J222756-224302_1z41290_UVES_squader',
           'J222756-224302_1z43340_UVES_squader',
           'J222756-224302_1z45180_UVES_squader',
           'J222756-224302_1z63980_UVES_squader',
           'J233446-090812_2z15220_UVES_squader',
           'J233446-090812_2z20150_UVES_squader',
           'J233446-090812_2z28750_UVES_squader',
           'J234625+124744_2z17330_UVES_squader',
           'J234625+124744_2z57180_UVES_squader',
           'J234628+124900_1z10840_UVES_squader',
           'J234628+124900_1z58990_UVES_squader',
           'J234628+124900_2z17130_UVES_squader',
           'J235034-432559_1z79620_UVES_squader']
n=0
for system in syslist:
     n+=1
     quasar = system.split('_')[0]
     zabs = system.split('_')[1].replace('z','.')
     print '\\begin{figure}'
     print '  \centering'
     print '  \includegraphics[width=\columnwidth]{./figures/correction/curves/'+system+'.pdf}'
     print '  \caption{Distortion curves for the $z='+zabs+'$ absorber in '+quasar+'.}'
     print '\end{figure}'
     print ''
     if n%2==0:
          print '\clearpage'
          print ''
